# List data query jobs Returns a list of data query jobs that have been created in your Zuora tenant. You can filter the list by status. If you are an administrator, you can retrieve all the query jobs in your tenant. Otherwise, you can only retrieve your own query jobs. Endpoint: GET /query/jobs Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Query parameters: - `queryStatus` (string) Filters the list of query jobs by status. Enum: "accepted", "in_progress", "completed", "failed", "cancelled" - `pageSize` (integer) The number of records returned per page in the response. ## Response 200 fields (application/json): - `data` (array) List of data query jobs. The query jobs are listed in reverse order of creation. - `data.createdBy` (string) The query job creator's Id. - `data.id` (string) Internal identifier of the query job. - `data.query` (string) The query that was submitted. - `data.remainingRetries` (integer) The number of times that Zuora will retry the query if Zuora is unable to perform the query. - `data.sourceData` (string) Indicates the source that data queries run against: * LIVE represents the live transactional databases at Zuora (Data Query Live). * WAREHOUSE represents Zuora Warehouse, which has better performance and fewer limitations than the live transactional database. For more information, see Zuora Warehouse. - `data.updatedOn` (string) Date and time when the query job was last updated, in ISO 8601 format. - `data.useIndexJoin` (boolean) Indicates whether to use Index Join. See Index Join for more information. - `data.dataFile` (string) The URL of the query results. Only applicable if the value of the queryStatus field is completed. - `data.outputRows` (integer) The number of rows the query results. Only applicable if the value of the queryStatus field is completed. - `data.processingTime` (integer) Processing time of the query job, in milliseconds. Only applicable if the value of the queryStatus field is completed. - `data.queryStatus` (string) Status of the query job. * submitted - query submitted to query service for processing * accepted - query accepted by the query service * in_progress - query executed by the query service * completed - query execution completed by the query service * failed - query unable to be processed by the query service * cancelled - query cancelled by the user If the value of this field is completed, the dataFile field contains the location of the query results. If the value of this field is accepted or in_progress, you can use [Cancel a data query job](#operation/DELETE_DataQueryJob) to prevent Zuora from performing the query. Zuora then sets the status of the query job to cancelled. Enum: "submitted", "accepted", "in_progress", "completed", "failed", "cancelled"